DevelopAPItile-services
Tiles
The tiles of a table or a web map as vector tiles, and their TileJSON.
GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item: a table or a web map.
type*stringAny name; the answer is the TileJSON.
The TileJSON 3.0 document.
application/json- response
tilejson?stringname?stringtiles?array<string>bounds?array<number>minzoom?integermaxzoom?integervector_layers?array<>curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getTile/$TYPE.json" \ -H "Authorization: Bearer $TOKEN"{ "tilejson": "string", "name": "string", "tiles": [ "string" ], "bounds": [ 0 ], "minzoom": 0, "maxzoom": 0, "vector_layers": [ {} ]}GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item: a table or a web map.
z*integerThe zoom level.
x*integerThe column of the tile.
y*integerThe row of the tile.
format*stringpbf or mvt for the tile, or json or geojson for its features as GeoJSON.
If-None-Match?stringThe ETag you have.
The tile.
response?fileapplication/x-protobufFormat
binarycurl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getTile/$Z/$X/$Y.$FORMAT" \ -H "Authorization: Bearer $TOKEN""string"